package com.intland.codebeamer.functionaltest.page.wiki;

import com.intland.codebeamer.functionaltest.page.common.IsPageLoaded;
import org.openqa.selenium.By;

import static com.codeborne.selenide.Selenide.$;
import static com.codeborne.selenide.Selenide.page;

/**
 * Copyright by Intland Software
 * <p>
 * All rights reserved.
 * <p>
 * This software is the confidential and proprietary information
 * of Intland Software. ("Confidential Information"). You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the firstSixProductLicense agreement
 * you entered into with Intland.
 */
public class PasteDialog implements IsPageLoaded{

    public WikiPropertiesPage clickOnPaste(){
        $(By.xpath("//input[@value='Paste']")).click();
        return page(WikiPropertiesPage.class);
    }

    @Override
    public boolean isPageLoaded() throws UnsupportedOperationException {
        throw new UnsupportedOperationException();
    }

    @Override
    public void waitForPageToLoad() {
        throw new UnsupportedOperationException();
    }
}
